# Type alias TransferReceipt<PN, SC, DC>

TransferReceipt<PN, SC, DC>: CreatedTransferReceipt<PN, SC, DC> | SourceInitiatedTransferReceipt<PN, SC, DC> | SourceFinalizedTransferReceipt<PN, SC, DC> | AttestedTransferReceipt<PN, SC, DC> | CompletedTransferReceipt<PN, SC, DC>

#### Type Parameters

- #### PN extends ProtocolName

- #### SC extends Chain = Chain

- #### DC extends Chain = Chain

- Defined in connect/src/wormholeTransfer.ts:115

Generated using TypeDoc